GET /v1/organizations/{org_id}/projects/{id}/urls
A project’s monitored URLs: reachability status, TLS certificate expiry and technologies detected during the last passive scan.
List URLs
Section titled “List URLs”GET /api/v1/organizations/{org_id}/projects/{project_id}/urlsAuthorization: Bearer twa_your_key_herePath Parameters
Section titled “Path Parameters”| Parameter | Type | Description |
|---|---|---|
org_id |
UUID |
Organization identifier |
project_id |
UUID |
Project identifier |
Response 200 OK
Section titled “Response 200 OK”[ { "id": "018e7777-0000-7000-8000-000000000030", "url": "https://www.example.com", "label": "Marketing site", "is_enabled": true, "last_status": "ok", "last_http_status": 200, "cert_expires_at": "2025-01-15T00:00:00Z", "cert_issuer": "Let's Encrypt", "last_scanned_at": "2024-07-01T06:00:00Z", "created_at": "2024-03-15T10:22:00Z" }]Fields
Section titled “Fields”| Field | Type | Description |
|---|---|---|
id |
string (UUID) |
Monitored URL identifier |
url |
string |
Monitored URL |
label |
string | null |
Label |
is_enabled |
boolean |
Monitoring active |
last_status |
string |
ok, error, timeout, pending |
last_http_status |
integer | null |
Last returned HTTP status |
cert_expires_at |
string (ISO 8601) | null |
TLS certificate expiry |
cert_issuer |
string | null |
Certificate issuer |
last_scanned_at |
string (ISO 8601) | null |
Last scan date |
created_at |
string (ISO 8601) |
Date added |
URL details
Section titled “URL details”GET /api/v1/organizations/{org_id}/projects/{project_id}/urls/{url_id}Authorization: Bearer twa_your_key_hereAdds the technologies field (technologies detected at the last scan):
{ "id": "018e7777-0000-7000-8000-000000000030", "url": "https://www.example.com", "technologies": [ { "name": "Nginx", "version": "1.18.0", "categories": ["Web servers"], "confidence": 100 } ]}Errors
Section titled “Errors”| Code | Detail | Cause |
|---|---|---|
404 |
Projet introuvable |
Project does not exist, belongs to another organization, or is outside the key’s project restriction |
403 |
Cette clé API n'a pas le droit d'accéder à cette ressource. |
The urls scope is missing from the key |
404 |
URL introuvable |
url_id not found on this project |
Example
Section titled “Example”Certificates expiring within 30 days
ORG_ID="018e5678-abcd-7000-8000-000000000001"PROJECT_ID="018e1234-abcd-7000-8000-000000000010"
curl -s \ -H "Authorization: Bearer twa_your_key_here" \ "https://app.techwatchalert.com/api/v1/organizations/${ORG_ID}/projects/${PROJECT_ID}/urls" \ | jq --arg limit "$(date -u -d '+30 days' +%Y-%m-%dT%H:%M:%SZ)" \ '.[] | select(.cert_expires_at != null and .cert_expires_at < $limit) | {url, cert_expires_at}'